#ifndef DOMAIN_LIBRARY_CONNECTION_H
#define DOMAIN_LIBRARY_CONNECTION_H

#include "attribute.h"
#include "bus.h"
#include "component.h"

#include <string>
#include <vector>

class Connection: AstNode
{
public:
    IdentifierNode component;
    IdentifierNode pin;
    IdentifierNode bus;
    std::vector<Attribute> attributes;
    std::vector<IdentifierNode> wires;

    Connection();
};

#endif // DOMAIN_LIBRARY_CONNECTION_H
