#ifndef DOMAIN_SCHEMA_INSTANCE_H
#define DOMAIN_SCHEMA_INSTANCE_H

#include "instanceattribute.h"

#include <string>
#include <vector>

class Instance: AstNode
{
    std::string name;
    std::string component;

    std::pair<int, int> position;
    std::vector<InstanceAttribute> attributes;

    int size;

public:
    Instance();
};

#endif // DOMAIN_SCHEMA_INSTANCE_H
