#ifndef DOMAIN_LIBRARY_WIRE_H
#define DOMAIN_LIBRARY_WIRE_H

#include <string>

#include <comdel/parser/astnode.h>


class Wire: public AstNode
{
public:
    enum WireType {
        WIRE,
        WIRED_AND,
        WIRED_OR,
        R_WIRE
    };
    WireType type;
    IdentifierNode name;
    NumberNode size;
/*
    bool isTerminatedWith;
    long terminatedWith;

    bool isIfUntrminated;
    long ifUnterminated;
*/
    Wire();
};

#endif // DOMAIN_LIBRARY_WIRE_H
