#ifndef DOMAIN_SCHEMA_SCHEMA_H
#define DOMAIN_SCHEMA_SCHEMA_H

#include "connectioninstance.h"
#include "instance.h"
#include "wireinstance.h"

#include <vector>

class Schema: AstNode
{
    std::vector<Instance> instances;
    std::vector<WireInstance> wires;
    std::vector<ConnectionInstance> connections;
public:
    Schema();
};

#endif // DOMAIN_SCHEMA_SCHEMA_H
